org.keycloak.picketlink.idm

## Class LDAPKeycloakCredentialHandler

- java.lang.Object
- - org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler
  - - org.keycloak.picketlink.idm.LDAPKeycloakCredentialHandler

- All Implemented Interfaces:
    org.picketlink.idm.credential.handler.CredentialHandler

      public class LDAPKeycloakCredentialHandler
      extends org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from interface org.picketlink.idm.credential.handler.CredentialHandler

      `LOGIN_NAME_PROPERTY, SUPPORTED_ACCOUNT_TYPES_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPKeycloakCredentialHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.picketlink.idm.model.Account` | `getAccount(org.picketlink.idm.spi.IdentityContext context, String loginName)`
    `void` | `setup(org.picketlink.idm.ldap.internal.LDAPIdentityStore store)`
    `void` | `update(org.picketlink.idm.spi.IdentityContext context, org.picketlink.idm.model.Account account, org.picketlink.idm.credential.Password password, org.picketlink.idm.ldap.internal.LDAPIdentityStore store, Date effectiveDate, Date expiryDate)`

    - ### Methods inherited from class org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler

      `getIdentityManager, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPKeycloakCredentialHandler

          public LDAPKeycloakCredentialHandler()

  - ### Method Detail

    - #### setup

          public void setup(org.picketlink.idm.ldap.internal.LDAPIdentityStore store)

      Overrides:
        `setup` in class `org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler`

    - #### getAccount

          protected org.picketlink.idm.model.Account getAccount(org.picketlink.idm.spi.IdentityContext context,
                                                    String loginName)

      Overrides:
        `getAccount` in class `org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler`

    - #### update

          public void update(org.picketlink.idm.spi.IdentityContext context,
                    org.picketlink.idm.model.Account account,
                    org.picketlink.idm.credential.Password password,
                    org.picketlink.idm.ldap.internal.LDAPIdentityStore store,
                    Date effectiveDate,
                    Date expiryDate)

      Overrides:
        `update` in class `org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler`

Copyright © 2014. All Rights Reserved.